﻿using UDFS.App.Stores.Connection;

namespace UDFS.App.Controls.Connection
{
    /// <summary>
    /// Interface of connection control
    /// </summary>
    internal interface IConnectionControl
    {
        /// <summary>
        /// Header name of tab with control.
        /// </summary>
        string TabHeader { get; }
        /// <summary>
        /// Sets connection to connection store.
        /// </summary>
        /// <param name="connStore">Connection store to set connection to.</param>
        void SetConnection(IConnectionStore connStore);
        /// <summary>
        /// Validates connection credentials in control.
        /// </summary>
        /// <returns>True, if validation was successfull. Otherwise false.</returns>
        bool ValidateCredentials();
    }
}
