﻿using UDFS.App.Controls.Connection;
using UDFS.App.Forms;
using UDFS.App.Stores.Connection;

namespace UDFS.App.Services.Connection
{
    /// <summary>
    /// Service for setting connection using dialog.
    /// </summary>
    internal class FormSetConnectionService : ISetConnectionService
    {
        private readonly IConnectionStore _connStore;

        public FormSetConnectionService(IConnectionStore connStore)
        {
            _connStore = connStore;
        }

        public void SetConnection()
        {
            ConnectionForm connForm = new(_connStore);
            connForm.ConnectionControls.Add(new MsAccessMdbConnectionControl());
            connForm.ShowDialog();
        }
        public void UnsetConnection()
        {
            _connStore.UnsetConnection();
        }
    }
}
