﻿namespace UDFS.App.Services.Logging
{
    /// <summary>
    /// Interface providing mechanism for logging and saving progress.
    /// </summary>
    internal interface ILogService
    {
        /// <summary>
        /// Occurs when log text changes.
        /// </summary>
        event Action? LogChanged;

        /// <summary>
        /// Log text.
        /// </summary>
        string Log { get; }

        /// <summary>
        /// Logs user message.
        /// </summary>
        /// <param name="message">Message to log.</param>
        void LogUser(string message);
        /// <summary>
        /// Logs system message.
        /// </summary>
        /// <param name="message">Message to log.</param>
        void LogSystem(string message);
        /// <summary>
        /// Saves log text.
        /// </summary>
        void Save();
    }
}
