﻿using UDFS.Shared.Database;

namespace UDFS.App.Stores.Connection
{
    /// <summary>
    /// Store for storing connection credentials.
    /// </summary>
    internal class ConnectionStore : IConnectionStore
    {
        public string Driver { get; private set; } = "";
        public string Source { get; private set; } = "";
        public string User { get; private set; } = "";
        public Func<IDatabase>? CreateDatabase { get; private set; } = null;

        public event Action? ConnectionChanged;

        public void SetConnection(string driver, string source, string user, Func<IDatabase> createDatabase)
        {
            Driver = driver ?? "";
            Source = source ?? "";
            User = user ?? "";
            CreateDatabase = createDatabase;
            ConnectionChanged?.Invoke();
        }
        public void UnsetConnection()
        {
            Driver = "";
            Source = "";
            User = "";
            CreateDatabase = null;
            ConnectionChanged?.Invoke();
        }
    }
}
