﻿using UDFS.Shared.Services;

namespace UDFS.Shared.Controls
{
    /// <summary>
    /// Control of function.
    /// </summary>
    public partial class FunctionControl : UserControl, IFunctionControl
    {
        private IRunFunctionService? _runFunctionService;

        /// <summary>
        /// Initializes a new instance of <see cref="FunctionControl"/> class.
        /// </summary>
        /// <param name="controlName">Name of control.</param>
        public FunctionControl(string controlName)
        {
            InitializeComponent();
            ControlName = controlName;
        }
        private FunctionControl()
        {
            ControlName = "Unknown";
        }

        public string ControlName { get; protected set; }

        protected IRunFunctionService RunFunctionService => _runFunctionService ?? throw new InvalidOperationException("Run service is not set.");

        public void Initialize(IRunFunctionService runFunctionService)
        {
            _runFunctionService = runFunctionService;
        }
    }
}
