﻿namespace UDFS.Shared.Events
{
    /// <summary>
    /// Delegate for report event.
    /// </summary>
    /// <param name="sender">Report sender.</param>
    /// <param name="a">Report arguments.</param>
    public delegate void ReportEventHandler(object sender, ReportEventArgs args);

    /// <summary>
    /// Arguments for report event.
    /// </summary>
    public class ReportEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of <see cref="ReportEventArgs"/> class.
        /// </summary>
        /// <param name="message">Reported message.</param>
        public ReportEventArgs(string message) => Message = message;

        /// <summary>
        /// Reported message.
        /// </summary>
        public string Message { get; }
    }
}
